# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_json.py
# Author:        liunian
# Datetime:      2024/1/6 9:40
# Description:
# 
# ---------------------------------------------------------------------------
import json
import os.path


def read_json(file_path: str):
    """获取json文件，并将json文件数据转为python数据"""
    if os.path.isfile(file_path) and file_path.endswith(".json"):
        with open(file_path, mode="r", encoding="utf-8") as f:
            try:
                res = json.loads(f.read())
            except:
                raise FileExistsError("将文件的内容转成python对象出错~~")
            else:
                return res
    else:
        raise FileNotFoundError("传入的json文件错误")

if __name__ == '__main__':
    print(read_json("E:\Python_File\pythonProject\APITestFrame1\data_config\data_template\case_data.json"))