# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      request_method.py
# Author:        liunian
# Datetime:      2024/1/6 10:58
# Description:
# 
# ---------------------------------------------------------------------------
import base64

import requests

from APITestFrame1.common.read_ini import Read_ini
from APITestFrame1.data_config.settings import *


class Requesting:
    def __init__(self):
        """登录操作，获取请求状态token"""
        login_data = {"username": "admin", "password": base64.b64encode("123456".encode()).decode()}
        login_url = Read_ini().get_host(SYSTEM_URL) + "/auth"
        self.bpm_session = requests.sessions.Session()
        self.bpm_session.headers["Authorization"] = "Bearer " + self.bpm_session.request(method="POST", url=login_url,json=login_data).json().get("token")

    def request_all(self,req_method,req_url,req_data,media_type):
        if media_type=="application/json" or media_type=="json":
            return self.bpm_session.request(method=req_method,url=req_url,json=req_data)
        elif media_type=="params" or media_type=="query":
            return self.bpm_session.request(method=req_method,url=req_url,params=req_data)
        elif media_type=="application/x-www-form-urlencoded" or media_type=="x-www-form-urlencoded":
            return self.bpm_session.request(method=req_method, url=req_url, data=req_data)
        elif media_type=="multipart/form-data" or media_type=="form-data":
            return self.bpm_session.request(method=req_method, url=req_url, files=req_data)
        elif media_type=="query|json" or media_type=="json|query" or media_type=="params|json" or media_type=="json|params":
            print(111111)
            return self.bpm_session.request(method=req_method, url=req_url, params=req_data["query"],json=req_data["json"])
        elif media_type=="text/plain" or media_type=="plain/text" or media_type=="text":
            return self.bpm_session.request(method=req_method, url=req_url, data=req_data)
        elif media_type in None:
            return self.bpm_session.request(method=req_method, url=req_url)
        else:
            raise NameError("传入的媒体类型，没有封装，请自行封装~")
if __name__ == '__main__':
    print(Requesting().request_all("POST", 'http://120.46.172.186:8080/api/org/v1/orgParam/saveOrgParams',
                                   {"query": {"orgCode": "test_58_org"}, "json": [{"alias": "sz", "value": "999"}]},
                                   "params/json").text)